#ifndef __PCR_RESTAMP_TABLE_H__
#define __PCR_RESTAMP_TABLE_H__

static unsigned char DVBT_basehex_8mhz[60] = {
    0x1B,
    0x18,
    0x17,
    0x16,
    0x14,
    0x12,
    0x11,
    0x10,
    0x12,
    0x10,
    0xF ,
    0xE ,
    0x10,
    0xE ,
    0xD ,
    0xD ,
    0xF ,
    0xD ,
    0xD ,
    0xC ,
    0xD ,
    0xC ,
    0xB ,
    0xB ,
    0xA ,
    0x9 ,
    0x8 ,
    0x8 ,
    0x9 ,
    0x8 ,
    0x7 ,
    0x7 ,
    0x8 ,
    0x7 ,
    0x6 ,
    0x6 ,
    0x7 ,
    0x6 ,
    0x6 ,
    0x6 ,
    0x9 ,
    0x8 ,
    0x7 ,
    0x7 ,
    0x6 ,
    0x6 ,
    0x5 ,
    0x5 ,
    0x6 ,
    0x5 ,
    0x5 ,
    0x4 ,
    0x5 ,
    0x4 ,
    0x4 ,
    0x4 ,
    0x5 ,
    0x4 ,
    0x4 ,
    0x4 
};

static unsigned char DVBT_basehex_7mhz[60] = {
    0x1F,
    0x1B,
    0x1A,
    0x19,
    0x17,
    0x14,
    0x13,
    0x13,
    0x14,
    0x12,
    0x11,
    0x11,
    0x12,
    0x10,
    0xF ,
    0xF ,
    0x11,
    0xF ,
    0xF ,
    0xE ,
    0xF ,
    0xD ,
    0xD ,
    0xC ,
    0xB ,
    0xA ,
    0x9 ,
    0x9 ,
    0xA ,
    0x9 ,
    0x8 ,
    0x8 ,
    0x9 ,
    0x8 ,
    0x7 ,
    0x7 ,
    0x8 ,
    0x7 ,
    0x7 ,
    0x7 ,
    0xA ,
    0x9 ,
    0x8 ,
    0x8 ,
    0x7 ,
    0x6 ,
    0x6 ,
    0x6 ,
    0x6 ,
    0x6 ,
    0x5 ,
    0x5 ,
    0x6 ,
    0x5 ,
    0x5 ,
    0x5 ,
    0x5 ,
    0x5 ,
    0x5 ,
    0x4 
};

static unsigned char DVBT_basehex_6mhz[60] = {
    0x24,
    0x20,
    0x1E,
    0x1D,
    0x1B,
    0x18,
    0x17,
    0x16,
    0x18,
    0x15,
    0x14,
    0x13,
    0x15,
    0x13,
    0x12,
    0x11,
    0x14,
    0x12,
    0x11,
    0x11,
    0x12,
    0x10,
    0xF ,
    0xE ,
    0xD ,
    0xC ,
    0xB ,
    0xB ,
    0xC ,
    0xA ,
    0xA ,
    0x9 ,
    0xA ,
    0x9 ,
    0x9 ,
    0x8 ,
    0xA ,
    0x9 ,
    0x8 ,
    0x8 ,
    0xC ,
    0xA ,
    0xA ,
    0x9 ,
    0x9 ,
    0x8 ,
    0x7 ,
    0x7 ,
    0x8 ,
    0x7 ,
    0x6 ,
    0x6 ,
    0x7 ,
    0x6 ,
    0x6 ,
    0x5 ,
    0x6 ,
    0x6 ,
    0x5 ,
    0x5 
};

static unsigned char DVBT_basehex_5mhz[60] = {
	0x2B,
	0x27,
	0x24,
	0x23,
	0x20,
	0x1D,
	0x1B,
	0x1A,
	0x1D,
	0x1A,
	0x18,
	0x17,
	0x1A,
	0x17,
	0x16,
	0x15,
	0x18,
	0x16,
	0x15,
	0x14,
	0x15,
	0x13,
	0x12,
	0x11,
	0x10,
	0xE,
	0xD,
	0xD,
	0xE,
	0xD,
	0xC,
	0xB,
	0xD,
	0xB,
	0xB,
	0xA,
	0xC,
	0xB,
	0xA,
	0xA,
	0xE,
	0xD,
	0xC,
	0xB,
	0xA,
	0x9,
	0x9,
	0x8,
	0x9,
	0x8,
	0x8,
	0x7,
	0x8,
	0x7,
	0x7,
	0x7,
	0x8,
	0x7,
	0x7,
	0x6
};

static unsigned char DVBT_basehex_4mhz[60] = {
	0x36,
	0x30,
	0x2E,
	0x2C,
	0x28,
	0x24,
	0x22,
	0x21,
	0x24,
	0x20,
	0x1E,
	0x1D,
	0x20,
	0x1D,
	0x1B,
	0x1A,
	0x1F,
	0x1B,
	0x1A,
	0x19,
	0x1B,
	0x18,
	0x17,
	0x16,
	0x14,
	0x12,
	0x11,
	0x10,
	0x12,
	0x10,
	0xF ,
	0xE ,
	0x10,
	0xE ,
	0xD ,
	0xD ,
	0xF ,
	0xD ,
	0xD ,
	0xC ,
	0x12,
	0x10,
	0xF ,
	0xE ,
	0xD ,
	0xC ,
	0xB ,
	0xB ,
	0xC ,
	0xA ,
	0xA ,
	0x9 ,
	0xA ,
	0x9 ,
	0x9 ,
	0x8 ,
	0xA ,
	0x9 ,
	0x8 ,
	0x8 
};

static unsigned char DVBT_basehex_3mhz[60] = {
	0x48,
	0x41,
	0x3D,
	0x3B,
	0x36,
	0x30,
	0x2E,
	0x2C,
	0x30,
	0x2B,
	0x29,
	0x27,
	0x2B,
	0x27,
	0x24,
	0x23,
	0x29,
	0x25,
	0x23,
	0x22,
	0x24,
	0x20,
	0x1E,
	0x1D,
	0x1B,
	0x18,
	0x17,
	0x16,
	0x18,
	0x15,
	0x14,
	0x13,
	0x15,
	0x13,
	0x12,
	0x11,
	0x14,
	0x12,
	0x11,
	0x11,
	0x18,
	0x15,
	0x14,
	0x13,
	0x12,
	0x10,
	0xF ,
	0xE ,
	0x10,
	0xE ,
	0xD ,
	0xD ,
	0xE ,
	0xD ,
	0xC ,
	0xB ,
	0xD ,
	0xC ,
	0xB ,
	0xB 
};

static unsigned char DVBT_basehex_2mhz[60] = {
	0x6C,
	0x61,
	0x5C,
	0x59,
	0x51,
	0x49,
	0x45,
	0x43,
	0x48,
	0x41,
	0x3D,
	0x3B,
	0x41,
	0x3A,
	0x37,
	0x35,
	0x3E,
	0x37,
	0x34,
	0x33,
	0x36,
	0x30,
	0x2E,
	0x2C,
	0x28,
	0x24,
	0x22,
	0x21,
	0x24,
	0x20,
	0x1E,
	0x1D,
	0x20,
	0x1D,
	0x1B,
	0x1A,
	0x1F,
	0x1B,
	0x1A,
	0x19,
	0x24,
	0x20,
	0x1E,
	0x1D,
	0x1B,
	0x18,
	0x17,
	0x16,
	0x18,
	0x15,
	0x14,
	0x13,
	0x15,
	0x13,
	0x12,
	0x11,
	0x14,
	0x12,
	0x11,
	0x11 
};

static unsigned char DVBT_basehex_1mhz[60] = {
	0xD9,
	0xC3,
	0xB8,
	0xB3,
	0xA3,
	0x92,
	0x8A,
	0x86,
	0x91,
	0x82,
	0x7B,
	0x77,
	0x82,
	0x75,
	0x6E,
	0x6B,
	0x7C,
	0x6F,
	0x69,
	0x66,
	0x6C,
	0x61,
	0x5C,
	0x59,
	0x51,
	0x49,
	0x45,
	0x43,
	0x48,
	0x41,
	0x3D,
	0x3B,
	0x41,
	0x3A,
	0x37,
	0x35,
	0x3E,
	0x37,
	0x34,
	0x33,
	0x48,
	0x41,
	0x3D,
	0x3B,
	0x36,
	0x30,
	0x2E,
	0x2C,
	0x30,
	0x2B,
	0x29,
	0x27,
	0x2B,
	0x27,
	0x24,
	0x23,
	0x29,
	0x25,
	0x23,
	0x22 
};

static unsigned char ISDBT_basehex_8mhz[] = {
	0x1B,
	0x19,
	0x17,
	0x16,
	0x14,
	0x12,
	0x11,
	0x11,
	0x12,
	0x10,
	0xF ,
	0xF ,
	0x10,
	0xF ,
	0xE ,
	0xD ,
	0xF ,
	0xE ,
	0xD ,
	0xD ,
	0xD ,
	0xC ,
	0xB ,
	0xB ,
	0xA ,
	0x9 ,
	0x8 ,
	0x8 ,
	0x9 ,
	0x8 ,
	0x7 ,
	0x7 ,
	0x8 ,
	0x7 ,
	0x7 ,
	0x6 ,
	0x7 ,
	0x7 ,
	0x6 ,
	0x6 ,
	0x9 ,
	0x8 ,
	0x7 ,
	0x7 ,
	0x6 ,
	0x6 ,
	0x5 ,
	0x5 ,
	0x6 ,
	0x5 ,
	0x5 ,
	0x5 ,
	0x5 ,
	0x5 ,
	0x4 ,
	0x4 ,
	0x5 ,
	0x4 ,
	0x4 ,
	0x4 
};

static unsigned char ISDBT_basehex_7mhz[] = {
	0x1F,
	0x1C,
	0x1B,
	0x1A,
	0x17,
	0x15,
	0x14,
	0x13,
	0x15,
	0x13,
	0x12,
	0x11,
	0x13,
	0x11,
	0x10,
	0xF ,
	0x12,
	0x10,
	0xF ,
	0xE ,
	0xF ,
	0xE ,
	0xD ,
	0xD ,
	0xB ,
	0xA ,
	0xA ,
	0x9 ,
	0xA ,
	0x9 ,
	0x9 ,
	0x8 ,
	0x9 ,
	0x8 ,
	0x8 ,
	0x7 ,
	0x9 ,
	0x8 ,
	0x7 ,
	0x7 ,
	0xA ,
	0x9 ,
	0x9 ,
	0x8 ,
	0x7 ,
	0x7 ,
	0x6 ,
	0x6 ,
	0x7 ,
	0x6 ,
	0x6 ,
	0x5 ,
	0x6 ,
	0x5 ,
	0x5 ,
	0x5 ,
	0x6 ,
	0x5 ,
	0x5 ,
	0x4 
};
static unsigned char ISDBT_basehex_6mhz[] = {
	0x25,
	0x21,
	0x1F,
	0x1E,
	0x1B,
	0x19,
	0x17,
	0x16,
	0x18,
	0x16,
	0x15,
	0x14,
	0x16,
	0x14,
	0x12,
	0x12,
	0x15,
	0x13,
	0x12,
	0x11,
	0x12,
	0x10,
	0xF ,
	0xF ,
	0xD ,
	0xC ,
	0xB ,
	0xB ,
	0xC ,
	0xB ,
	0xA ,
	0xA ,
	0xB ,
	0xA ,
	0x9 ,
	0x9 ,
	0xA ,
	0x9 ,
	0x9 ,
	0x8 ,
	0xC ,
	0xB ,
	0xA ,
	0xA ,
	0x9 ,
	0x8 ,
	0x7 ,
	0x7 ,
	0x8 ,
	0x7 ,
	0x7 ,
	0x6 ,
	0x7 ,
	0x6 ,
	0x6 ,
	0x6 ,
	0x7 ,
	0x6 ,
	0x6 ,
	0x5 
};

static unsigned char ISDBT_basehex_5mhz[60] = {
	0x2C,
	0x28,
	0x25,
	0x24,
	0x21,
	0x1E,
	0x1C,
	0x1B,
	0x1D,
	0x1A,
	0x19,
	0x18,
	0x1A,
	0x18,
	0x16,
	0x16,
	0x19,
	0x16,
	0x15,
	0x14,
	0x16,
	0x14,
	0x12,
	0x12,
	0x10,
	0xF ,
	0xE ,
	0xD ,
	0xE ,
	0xD ,
	0xC ,
	0xC ,
	0xD ,
	0xC ,
	0xB ,
	0xB ,
	0xC ,
	0xB ,
	0xA ,
	0xA ,
	0xE ,
	0xD ,
	0xC ,
	0xC ,
	0xB ,
	0xA ,
	0x9 ,
	0x9 ,
	0x9 ,
	0x8 ,
	0x8 ,
	0x8 ,
	0x8 ,
	0x8 ,
	0x7 ,
	0x7 ,
	0x8 ,
	0x7 ,
	0x7 ,
	0x6
};

static unsigned char ISDBT_basehex_4mhz[60] = {
	0x37,
	0x32,
	0x2F,
	0x2D,
	0x29,
	0x25,
	0x23,
	0x22,
	0x25,
	0x21,
	0x1F,
	0x1E,
	0x21,
	0x1E,
	0x1C,
	0x1B,
	0x1F,
	0x1C,
	0x1B,
	0x1A,
	0x1B,
	0x19,
	0x17,
	0x16,
	0x14,
	0x12,
	0x11,
	0x11,
	0x12,
	0x10,
	0xF ,
	0xF ,
	0x10,
	0xF ,
	0xE ,
	0xD ,
	0xF ,
	0xE ,
	0xD ,
	0xD ,
	0x12,
	0x10,
	0xF ,
	0xF ,
	0xD ,
	0xC ,
	0xB ,
	0xB ,
	0xC ,
	0xB ,
	0xA ,
	0xA ,
	0xB ,
	0xA ,
	0x9 ,
	0x9 ,
	0xA ,
	0x9 ,
	0x9 ,
	0x8 
};
static unsigned char ISDBT_basehex_3mhz[60] = {
	0x4A,
	0x42,
	0x3F,
	0x3D,
	0x37,
	0x32,
	0x2F,
	0x2D,
	0x31,
	0x2C,
	0x2A,
	0x28,
	0x2C,
	0x28,
	0x25,
	0x24,
	0x2A,
	0x26,
	0x24,
	0x22,
	0x25,
	0x21,
	0x1F,
	0x1E,
	0x1B,
	0x19,
	0x17,
	0x16,
	0x18,
	0x16,
	0x15,
	0x14,
	0x16,
	0x14,
	0x12,
	0x12,
	0x15,
	0x13,
	0x12,
	0x11,
	0x18,
	0x16,
	0x15,
	0x14,
	0x12,
	0x10,
	0xF ,
	0xF ,
	0x10,
	0xE ,
	0xE ,
	0xD ,
	0xE ,
	0xD ,
	0xC ,
	0xC ,
	0xE ,
	0xC ,
	0xC ,
	0xB 
};
static unsigned char ISDBT_basehex_2mhz[60] = {
	0x6F,
	0x64,
	0x5E,
	0x5B,
	0x53,
	0x4B,
	0x46,
	0x44,
	0x4A,
	0x42,
	0x3F,
	0x3D,
	0x42,
	0x3C,
	0x38,
	0x37,
	0x3F,
	0x39,
	0x36,
	0x34,
	0x37,
	0x32,
	0x2F,
	0x2D,
	0x29,
	0x25,
	0x23,
	0x22,
	0x25,
	0x21,
	0x1F,
	0x1E,
	0x21,
	0x1E,
	0x1C,
	0x1B,
	0x1F,
	0x1C,
	0x1B,
	0x1A,
	0x25,
	0x21,
	0x1F,
	0x1E,
	0x1B,
	0x19,
	0x17,
	0x16,
	0x18,
	0x16,
	0x15,
	0x14,
	0x16,
	0x14,
	0x12,
	0x12,
	0x15,
	0x13,
	0x12,
	0x11
};
static unsigned char ISDBT_basehex_1mhz[60] = {
	0xDE,
	0xC8,
	0xBD,
	0xB7,
	0xA6,
	0x96,
	0x8D,
	0x89,
	0x94,
	0x85,
	0x7E,
	0x7A,
	0x85,
	0x78,
	0x71,
	0x6E,
	0x7F,
	0x72,
	0x6C,
	0x68,
	0x6F,
	0x64,
	0x5E,
	0x5B,
	0x53,
	0x4B,
	0x46,
	0x44,
	0x4A,
	0x42,
	0x3F,
	0x3D,
	0x42,
	0x3C,
	0x38,
	0x37,
	0x3F,
	0x39,
	0x36,
	0x34,
	0x4A,
	0x42,
	0x3F,
	0x3D,
	0x37,
	0x32,
	0x2F,
	0x2D,
	0x31,
	0x2C,
	0x2A,
	0x28,
	0x2C,
	0x28,
	0x25,
	0x24,
	0x2A,
	0x26,
	0x24,
	0x22
};





static unsigned char DVBT_exthex_8mhz[] = {
    0x00, 0xF0, 0x00,
    0x02, 0x40, 0x00,
    0x00, 0x90, 0x00,
    0x02, 0x10, 0x00,
    0x01, 0xE0, 0x00,
    0x01, 0xB0, 0x00,
    0x01, 0x98, 0x00,
    0x03, 0xE4, 0x00,
    0x00, 0xA0, 0x00,
    0x01, 0x80, 0x00,
    0x01, 0xF0, 0x00,
    0x04, 0x80, 0x00,
    0x01, 0x80, 0x00,
    0x03, 0x39, 0x9A,
    0x04, 0x16, 0x66,
    0x02, 0x2C, 0xCD,
    0x02, 0x8B, 0x6E,
    0x04, 0xA2, 0x49,
    0x00, 0xFD, 0xB7,
    0x03, 0xDB, 0x6E,
    0x02, 0xD0, 0x00,
    0x01, 0x20, 0x00,
    0x02, 0xA0, 0x00,
    0x01, 0x08, 0x00,
    0x00, 0xF0, 0x00,
    0x00, 0xD8, 0x00,
    0x03, 0x24, 0x00,
    0x01, 0xF2, 0x00,
    0x00, 0x50, 0x00,
    0x00, 0xC0, 0x00,
    0x03, 0x50, 0x00,
    0x02, 0x40, 0x00,
    0x00, 0xC0, 0x00,
    0x01, 0x9C, 0xCD,
    0x04, 0x63, 0x33,
    0x03, 0x6E, 0x66,
    0x03, 0x9D, 0xB7,
    0x04, 0xA9, 0x25,
    0x02, 0xD6, 0xDB,
    0x01, 0xED, 0xB7,
    0x00, 0x50, 0x00,
    0x00, 0xC0, 0x00,
    0x03, 0x50, 0x00,
    0x02, 0x40, 0x00,
    0x03, 0xC0, 0x00,
    0x00, 0x90, 0x00,
    0x03, 0xA8, 0x00,
    0x02, 0xDC, 0x00,
    0x00, 0x35, 0x55,
    0x02, 0x10, 0x00,
    0x00, 0xA5, 0x55,
    0x04, 0xA0, 0x00,
    0x02, 0x10, 0x00,
    0x04, 0x33, 0x33,
    0x02, 0xEC, 0xCD,
    0x02, 0x49, 0x9A,
    0x00, 0xD9, 0x25,
    0x03, 0x1B, 0x6E,
    0x01, 0xE4, 0x92,
    0x01, 0x49, 0x25
};

static unsigned char DVBT_exthex_7mhz[] = {
    0x00, 0x66, 0xDB,
    0x04, 0x94, 0x92,
    0x01, 0xFB, 0x6E,
    0x03, 0x06, 0xDB,
    0x01, 0x79, 0x25,
    0x04, 0x9B, 0x6E,
    0x03, 0xD4, 0x92,
    0x01, 0x19, 0x25,
    0x03, 0x64, 0x92,
    0x03, 0x0D, 0xB7,
    0x02, 0xE2, 0x49,
    0x00, 0x74, 0x92,
    0x03, 0x0D, 0xB7,
    0x03, 0xAF, 0x8B,
    0x04, 0x00, 0x75,
    0x01, 0xD0, 0xEA,
    0x03, 0x93, 0xEB,
    0x04, 0xA0, 0x54,
    0x00, 0x76, 0x88,
    0x03, 0x11, 0xA2,
    0x02, 0x8B, 0x6E,
    0x04, 0xA2, 0x49,
    0x00, 0xFD, 0xB7,
    0x03, 0xDB, 0x6E,
    0x03, 0x14, 0x92,
    0x02, 0x4D, 0xB7,
    0x04, 0x42, 0x49,
    0x02, 0xE4, 0x92,
    0x01, 0xB2, 0x49,
    0x01, 0x86, 0xDB,
    0x03, 0xC9, 0x25,
    0x02, 0x92, 0x49,
    0x01, 0x86, 0xDB,
    0x01, 0xD7, 0xC5,
    0x04, 0x58, 0x3B,
    0x03, 0x40, 0x75,
    0x04, 0x21, 0xF6,
    0x04, 0xA8, 0x2A,
    0x02, 0x93, 0x44,
    0x01, 0x88, 0xD1,
    0x01, 0xB2, 0x49,
    0x01, 0x86, 0xDB,
    0x03, 0xC9, 0x25,
    0x02, 0x92, 0x49,
    0x03, 0x9D, 0xB7,
    0x04, 0xA9, 0x25,
    0x02, 0xD6, 0xDB,
    0x01, 0xED, 0xB7,
    0x04, 0x41, 0x86,
    0x01, 0x04, 0x92,
    0x04, 0x16, 0x18,
    0x03, 0x46, 0xDB,
    0x01, 0x04, 0x92,
    0x02, 0xCA, 0x84,
    0x01, 0x55, 0x7C,
    0x00, 0x9A, 0xF9,
    0x04, 0x51, 0x4E,
    0x01, 0x8A, 0xC7,
    0x00, 0x27, 0x83,
    0x04, 0x25, 0xE1
};

static unsigned char DVBT_exthex_6mhz[] = {
    0x01, 0x40, 0x00,
    0x03, 0x00, 0x00,
    0x03, 0xE0, 0x00,
    0x04, 0x50, 0x00,
    0x00, 0xF0, 0x00,
    0x02, 0x40, 0x00,
    0x00, 0x90, 0x00,
    0x02, 0x10, 0x00,
    0x00, 0xD5, 0x55,
    0x03, 0x90, 0x00,
    0x02, 0x95, 0x55,
    0x04, 0x70, 0x00,
    0x03, 0x90, 0x00,
    0x02, 0xBC, 0xCD,
    0x02, 0x53, 0x33,
    0x04, 0x76, 0x66,
    0x03, 0x64, 0x92,
    0x03, 0x0D, 0xB7,
    0x02, 0xE2, 0x49,
    0x00, 0x74, 0x92,
    0x00, 0xA0, 0x00,
    0x01, 0x80, 0x00,
    0x01, 0xF0, 0x00,
    0x04, 0x80, 0x00,
    0x02, 0xD0, 0x00,
    0x01, 0x20, 0x00,
    0x02, 0xA0, 0x00,
    0x01, 0x08, 0x00,
    0x00, 0x6A, 0xAB,
    0x04, 0x20, 0x00,
    0x01, 0x4A, 0xAB,
    0x04, 0x90, 0x00,
    0x04, 0x20, 0x00,
    0x03, 0xB6, 0x66,
    0x01, 0x29, 0x9A,
    0x04, 0x93, 0x33,
    0x01, 0xB2, 0x49,
    0x01, 0x86, 0xDB,
    0x03, 0xC9, 0x25,
    0x02, 0x92, 0x49,
    0x00, 0x6A, 0xAB,
    0x04, 0x20, 0x00,
    0x01, 0x4A, 0xAB,
    0x04, 0x90, 0x00,
    0x00, 0x50, 0x00,
    0x00, 0xC0, 0x00,
    0x03, 0x50, 0x00,
    0x02, 0x40, 0x00,
    0x00, 0x47, 0x1C,
    0x01, 0x30, 0x00,
    0x03, 0xFC, 0x72,
    0x03, 0x0A, 0xAB,
    0x01, 0x30, 0x00,
    0x02, 0x79, 0x9A,
    0x00, 0xC6, 0x66,
    0x04, 0x9C, 0xCD,
    0x04, 0x41, 0x86,
    0x01, 0x04, 0x92,
    0x04, 0x16, 0x18,
    0x03, 0x46, 0xDB
};

static unsigned char DVBT_exthex_5mhz[] = {
	0x02, 0x70, 0x00,
	0x00, 0xC9, 0x9A,
	0x04, 0xA6, 0x66,
	0x04, 0x3C, 0xCD,
	0x03, 0x00, 0x00,
	0x01, 0xC3, 0x33,
	0x03, 0x7C, 0xCD,
	0x04, 0x59, 0x9A,
	0x00, 0x10, 0x00,
	0x00, 0x86, 0x66,
	0x03, 0x19, 0x9A,
	0x04, 0x63, 0x33,
	0x00, 0x86, 0x66,
	0x02, 0x58, 0xF6,
	0x00, 0xEA, 0x3D,
	0x02, 0x8A, 0xE1,
	0x04, 0x12, 0x49,
	0x01, 0xCA, 0x0F,
	0x00, 0xA5, 0xF1,
	0x02, 0x6B, 0xE3,
	0x03, 0x90, 0x00,
	0x02, 0xBC, 0xCD,
	0x02, 0x53, 0x33,
	0x04, 0x76, 0x66,
	0x01, 0x80, 0x00,
	0x03, 0x39, 0x9A,
	0x04, 0x16, 0x66,
	0x02, 0x2C, 0xCD,
	0x02, 0x60, 0x00,
	0x00, 0x43, 0x33,
	0x01, 0x8C, 0xCD,
	0x04, 0x89, 0x9A,
	0x00, 0x43, 0x33,
	0x03, 0x84, 0x7B,
	0x00, 0x75, 0x1F,
	0x03, 0x9D, 0x71,
	0x02, 0x09, 0x25,
	0x00, 0xE5, 0x07,
	0x02, 0xAA, 0xF9,
	0x01, 0x35, 0xF1,
	0x02, 0x60, 0x00,
	0x00, 0x43, 0x33,
	0x01, 0x8C, 0xCD,
	0x04, 0x89, 0x9A,
	0x04, 0x20, 0x00,
	0x03, 0xB6, 0x66,
	0x01, 0x29, 0x9A,
	0x04, 0x93, 0x33,
	0x03, 0x25, 0x55,
	0x03, 0x4C, 0xCD,
	0x01, 0x08, 0x89,
	0x04, 0x96, 0x66,
	0x03, 0x4C, 0xCD,
	0x03, 0xE8, 0x52,
	0x01, 0xDE, 0x14,
	0x00, 0xD8, 0xF6,
	0x01, 0x5B, 0x6E,
	0x02, 0x28, 0xB0,
	0x00, 0x37, 0x50,
	0x03, 0xEE, 0xA1

};

static unsigned char DVBT_exthex_4mhz[] = {
	0x01, 0xE0, 0x00,
	0x04, 0x80, 0x00,
	0x01, 0x20, 0x00,
	0x04, 0x20, 0x00,
	0x03, 0xC0, 0x00,
	0x03, 0x60, 0x00,
	0x03, 0x30, 0x00,
	0x03, 0x18, 0x00,
	0x01, 0x40, 0x00,
	0x03, 0x00, 0x00,
	0x03, 0xE0, 0x00,
	0x04, 0x50, 0x00,
	0x03, 0x00, 0x00,
	0x01, 0xC3, 0x33,
	0x03, 0x7C, 0xCD,
	0x04, 0x59, 0x9A,
	0x00, 0x66, 0xDB,
	0x04, 0x94, 0x92,
	0x01, 0xFB, 0x6E,
	0x03, 0x06, 0xDB,
	0x00, 0xF0, 0x00,
	0x02, 0x40, 0x00,
	0x00, 0x90, 0x00,
	0x02, 0x10, 0x00,
	0x01, 0xE0, 0x00,
	0x01, 0xB0, 0x00,
	0x01, 0x98, 0x00,
	0x03, 0xE4, 0x00,
	0x00, 0xA0, 0x00,
	0x01, 0x80, 0x00,
	0x01, 0xF0, 0x00,
	0x04, 0x80, 0x00,
	0x01, 0x80, 0x00,
	0x03, 0x39, 0x9A,
	0x04, 0x16, 0x66,
	0x02, 0x2C, 0xCD,
	0x02, 0x8B, 0x6E,
	0x04, 0xA2, 0x49,
	0x00, 0xFD, 0xB7,
	0x03, 0xDB, 0x6E,
	0x00, 0xA0, 0x00,
	0x01, 0x80, 0x00,
	0x01, 0xF0, 0x00,
	0x04, 0x80, 0x00,
	0x02, 0xD0, 0x00,
	0x01, 0x20, 0x00,
	0x02, 0xA0, 0x00,
	0x01, 0x08, 0x00,
	0x00, 0x6A, 0xAB,
	0x04, 0x20, 0x00,
	0x01, 0x4A, 0xAB,
	0x04, 0x90, 0x00,
	0x04, 0x20, 0x00,
	0x03, 0xB6, 0x66,
	0x01, 0x29, 0x9A,
	0x04, 0x93, 0x33,
	0x01, 0xB2, 0x49,
	0x01, 0x86, 0xDB,
	0x03, 0xC9, 0x25,
	0x02, 0x92, 0x49

};

static unsigned char DVBT_exthex_3mhz[] = {
	0x02, 0x80, 0x00,
	0x01, 0x50, 0x00,
	0x03, 0x10, 0x00,
	0x03, 0xF0, 0x00,
	0x01, 0xE0, 0x00,
	0x04, 0x80, 0x00,
	0x01, 0x20, 0x00,
	0x04, 0x20, 0x00,
	0x01, 0xAA, 0xAB,
	0x02, 0x70, 0x00,
	0x00, 0x7A, 0xAB,
	0x04, 0x30, 0x00,
	0x02, 0x70, 0x00,
	0x00, 0xC9, 0x9A,
	0x04, 0xA6, 0x66,
	0x04, 0x3C, 0xCD,
	0x02, 0x19, 0x25,
	0x01, 0x6B, 0x6E,
	0x01, 0x14, 0x92,
	0x00, 0xE9, 0x25,
	0x01, 0x40, 0x00,
	0x03, 0x00, 0x00,
	0x03, 0xE0, 0x00,
	0x04, 0x50, 0x00,
	0x00, 0xF0, 0x00,
	0x02, 0x40, 0x00,
	0x00, 0x90, 0x00,
	0x02, 0x10, 0x00,
	0x00, 0xD5, 0x55,
	0x03, 0x90, 0x00,
	0x02, 0x95, 0x55,
	0x04, 0x70, 0x00,
	0x03, 0x90, 0x00,
	0x02, 0xBC, 0xCD,
	0x02, 0x53, 0x33,
	0x04, 0x76, 0x66,
	0x03, 0x64, 0x92,
	0x03, 0x0D, 0xB7,
	0x02, 0xE2, 0x49,
	0x00, 0x74, 0x92,
	0x00, 0xD5, 0x55,
	0x03, 0x90, 0x00,
	0x02, 0x95, 0x55,
	0x04, 0x70, 0x00,
	0x00, 0xA0, 0x00,
	0x01, 0x80, 0x00,
	0x01, 0xF0, 0x00,
	0x04, 0x80, 0x00,
	0x00, 0x8E, 0x39,
	0x02, 0x60, 0x00,
	0x03, 0x48, 0xE4,
	0x01, 0x65, 0x55,
	0x02, 0x60, 0x00,
	0x00, 0x43, 0x33,
	0x01, 0x8C, 0xCD,
	0x04, 0x89, 0x9A,
	0x03, 0xD3, 0x0C,
	0x02, 0x09, 0x25,
	0x03, 0x7C, 0x31,
	0x01, 0xDD, 0xB7

};

static unsigned char DVBT_exthex_2mhz[] = {
	0x03, 0xC0, 0x00,
	0x04, 0x50, 0x00,
	0x02, 0x40, 0x00,
	0x03, 0x90, 0x00,
	0x02, 0xD0, 0x00,
	0x02, 0x10, 0x00,
	0x01, 0xB0, 0x00,
	0x01, 0x80, 0x00,
	0x02, 0x80, 0x00,
	0x01, 0x50, 0x00,
	0x03, 0x10, 0x00,
	0x03, 0xF0, 0x00,
	0x01, 0x50, 0x00,
	0x03, 0x86, 0x66,
	0x02, 0x49, 0x9A,
	0x04, 0x03, 0x33,
	0x00, 0xCD, 0xB7,
	0x04, 0x79, 0x25,
	0x03, 0xF6, 0xDB,
	0x01, 0x5D, 0xB7,
	0x01, 0xE0, 0x00,
	0x04, 0x80, 0x00,
	0x01, 0x20, 0x00,
	0x04, 0x20, 0x00,
	0x03, 0xC0, 0x00,
	0x03, 0x60, 0x00,
	0x03, 0x30, 0x00,
	0x03, 0x18, 0x00,
	0x01, 0x40, 0x00,
	0x03, 0x00, 0x00,
	0x03, 0xE0, 0x00,
	0x04, 0x50, 0x00,
	0x03, 0x00, 0x00,
	0x01, 0xC3, 0x33,
	0x03, 0x7C, 0xCD,
	0x04, 0x59, 0x9A,
	0x00, 0x66, 0xDB,
	0x04, 0x94, 0x92,
	0x01, 0xFB, 0x6E,
	0x03, 0x06, 0xDB,
	0x01, 0x40, 0x00,
	0x03, 0x00, 0x00,
	0x03, 0xE0, 0x00,
	0x04, 0x50, 0x00,
	0x00, 0xF0, 0x00,
	0x02, 0x40, 0x00,
	0x00, 0x90, 0x00,
	0x02, 0x10, 0x00,
	0x00, 0xD5, 0x55,
	0x03, 0x90, 0x00,
	0x02, 0x95, 0x55,
	0x04, 0x70, 0x00,
	0x03, 0x90, 0x00,
	0x02, 0xBC, 0xCD,
	0x02, 0x53, 0x33,
	0x04, 0x76, 0x66,
	0x03, 0x64, 0x92,
	0x03, 0x0D, 0xB7,
	0x02, 0xE2, 0x49,
	0x00, 0x74, 0x92

};

static unsigned char DVBT_exthex_1mhz[] = {
	0x02, 0xD0, 0x00,
	0x03, 0xF0, 0x00,
	0x04, 0x80, 0x00,
	0x02, 0x70, 0x00,
	0x00, 0xF0, 0x00,
	0x04, 0x20, 0x00,
	0x03, 0x60, 0x00,
	0x03, 0x00, 0x00,
	0x00, 0x50, 0x00,
	0x02, 0xA0, 0x00,
	0x01, 0x70, 0x00,
	0x03, 0x30, 0x00,
	0x02, 0xA0, 0x00,
	0x02, 0x5C, 0xCD,
	0x04, 0x93, 0x33,
	0x03, 0x56, 0x66,
	0x01, 0x9B, 0x6E,
	0x04, 0x42, 0x49,
	0x03, 0x3D, 0xB7,
	0x02, 0xBB, 0x6E,
	0x03, 0xC0, 0x00,
	0x04, 0x50, 0x00,
	0x02, 0x40, 0x00,
	0x03, 0x90, 0x00,
	0x02, 0xD0, 0x00,
	0x02, 0x10, 0x00,
	0x01, 0xB0, 0x00,
	0x01, 0x80, 0x00,
	0x02, 0x80, 0x00,
	0x01, 0x50, 0x00,
	0x03, 0x10, 0x00,
	0x03, 0xF0, 0x00,
	0x01, 0x50, 0x00,
	0x03, 0x86, 0x66,
	0x02, 0x49, 0x9A,
	0x04, 0x03, 0x33,
	0x00, 0xCD, 0xB7,
	0x04, 0x79, 0x25,
	0x03, 0xF6, 0xDB,
	0x01, 0x5D, 0xB7,
	0x02, 0x80, 0x00,
	0x01, 0x50, 0x00,
	0x03, 0x10, 0x00,
	0x03, 0xF0, 0x00,
	0x01, 0xE0, 0x00,
	0x04, 0x80, 0x00,
	0x01, 0x20, 0x00,
	0x04, 0x20, 0x00,
	0x01, 0xAA, 0xAB,
	0x02, 0x70, 0x00,
	0x00, 0x7A, 0xAB,
	0x04, 0x30, 0x00,
	0x02, 0x70, 0x00,
	0x00, 0xC9, 0x9A,
	0x04, 0xA6, 0x66,
	0x04, 0x3C, 0xCD,
	0x02, 0x19, 0x25,
	0x01, 0x6B, 0x6E,
	0x01, 0x14, 0x92,
	0x00, 0xE9, 0x25

};


static unsigned char ISDBT_exthex_8mhz[] = {
	0x03, 0xC5, 0xC5,
	0x00, 0x1D, 0x31,
	0x02, 0xF8, 0xE7,
	0x04, 0x66, 0xC2,
	0x04, 0x00, 0x54,
	0x03, 0x99, 0xE5,
	0x03, 0x66, 0xAE,
	0x00, 0xF5, 0x12,
	0x02, 0x83, 0xD9,
	0x03, 0x33, 0x76,
	0x03, 0x8B, 0x45,
	0x01, 0x5F, 0x2C,
	0x03, 0x33, 0x76,
	0x00, 0x11, 0x84,
	0x00, 0xD8, 0x8B,
	0x03, 0x94, 0x0E,
	0x04, 0x2A, 0x27,
	0x01, 0x67, 0x8A,
	0x02, 0x5E, 0x3B,
	0x00, 0x81, 0x94,
	0x04, 0x3A, 0xE2,
	0x02, 0x66, 0x99,
	0x03, 0xD4, 0x74,
	0x02, 0x33, 0x61,
	0x02, 0x00, 0x2A,
	0x01, 0xCC, 0xF2,
	0x04, 0x0B, 0x57,
	0x02, 0xD2, 0x89,
	0x01, 0x41, 0xEC,
	0x01, 0x99, 0xBB,
	0x04, 0x1D, 0xA2,
	0x03, 0x07, 0x96,
	0x01, 0x99, 0xBB,
	0x02, 0x60, 0xC2,
	0x00, 0x6C, 0x45,
	0x04, 0x22, 0x07,
	0x04, 0x6D, 0x14,
	0x00, 0xB3, 0xC5,
	0x03, 0x87, 0x1E,
	0x02, 0x98, 0xCA,
	0x01, 0x41, 0xEC,
	0x01, 0x99, 0xBB,
	0x04, 0x1D, 0xA2,
	0x03, 0x07, 0x96,
	0x04, 0x75, 0x71,
	0x01, 0x33, 0x4C,
	0x04, 0x42, 0x3A,
	0x03, 0x71, 0xB1,
	0x00, 0xD6, 0x9E,
	0x02, 0xA1, 0x27,
	0x01, 0x2E, 0x6C,
	0x00, 0x75, 0x0F,
	0x02, 0xA1, 0x27,
	0x00, 0x05, 0xD7,
	0x03, 0x68, 0x2E,
	0x02, 0xC1, 0x5A,
	0x01, 0x63, 0x62,
	0x03, 0x97, 0xD9,
	0x02, 0x5A, 0x14,
	0x01, 0xBB, 0x31
};

static unsigned char ISDBT_exthex_7mhz[] = {
	0x03, 0xA4, 0x4F,
	0x02, 0xCF, 0x14,
	0x00, 0x0C, 0x76,
	0x01, 0x03, 0x27,
	0x03, 0xE7, 0x3B,
	0x02, 0x1B, 0x4F,
	0x01, 0x35, 0x59,
	0x03, 0x1A, 0x5E,
	0x00, 0xDD, 0x8A,
	0x00, 0x4F, 0x62,
	0x00, 0x08, 0x4F,
	0x02, 0x3C, 0xC5,
	0x00, 0x4F, 0x62,
	0x00, 0xBF, 0x72,
	0x00, 0xF7, 0x7A,
	0x03, 0x6B, 0x7E,
	0x00, 0xBD, 0xE4,
	0x01, 0x9A, 0xE7,
	0x02, 0x09, 0x68,
	0x04, 0x98, 0xA9,
	0x04, 0x2A, 0x27,
	0x01, 0x67, 0x8A,
	0x02, 0x5E, 0x3B,
	0x00, 0x81, 0x94,
	0x04, 0x4B, 0x9E,
	0x03, 0x65, 0xA7,
	0x00, 0x9A, 0xAC,
	0x03, 0xE5, 0x2F,
	0x02, 0xC6, 0xC5,
	0x02, 0x7F, 0xB1,
	0x00, 0x04, 0x27,
	0x03, 0x76, 0x62,
	0x02, 0x7F, 0xB1,
	0x02, 0xB7, 0xB9,
	0x00, 0x7B, 0xBD,
	0x04, 0x0D, 0xBF,
	0x00, 0x5E, 0xF2,
	0x00, 0xCD, 0x73,
	0x03, 0x5C, 0xB4,
	0x02, 0x4C, 0x54,
	0x02, 0xC6, 0xC5,
	0x02, 0x7F, 0xB1,
	0x00, 0x04, 0x27,
	0x03, 0x76, 0x62,
	0x04, 0x6D, 0x14,
	0x00, 0xB3, 0xC5,
	0x03, 0x87, 0x1E,
	0x02, 0x98, 0xCA,
	0x00, 0x49, 0xD9,
	0x01, 0xAA, 0x76,
	0x00, 0x02, 0xC5,
	0x03, 0xDE, 0xEC,
	0x01, 0xAA, 0x76,
	0x03, 0x5F, 0xD1,
	0x01, 0xE2, 0x7E,
	0x01, 0x23, 0xD5,
	0x00, 0x3F, 0x4C,
	0x02, 0x18, 0xF8,
	0x00, 0xAD, 0xCD,
	0x04, 0xA8, 0x38
};

static unsigned char ISDBT_exthex_6mhz[] = {
	0x00, 0x57, 0xB1,
	0x01, 0xB6, 0xEC,
	0x02, 0x66, 0x8A,
	0x02, 0xBE, 0x59,
	0x03, 0xC5, 0xC5,
	0x00, 0x1D, 0x31,
	0x02, 0xF8, 0xE7,
	0x04, 0x66, 0xC2,
	0x03, 0x5A, 0x76,
	0x01, 0x24, 0x9E,
	0x00, 0x09, 0xB1,
	0x01, 0xD4, 0x3B,
	0x01, 0x24, 0x9E,
	0x00, 0x17, 0x5B,
	0x04, 0x40, 0xB9,
	0x01, 0xA5, 0x68,
	0x00, 0xDD, 0x8A,
	0x00, 0x4F, 0x62,
	0x00, 0x08, 0x4F,
	0x02, 0x3C, 0xC5,
	0x02, 0x83, 0xD9,
	0x03, 0x33, 0x76,
	0x03, 0x8B, 0x45,
	0x01, 0x5F, 0x2C,
	0x04, 0x3A, 0xE2,
	0x02, 0x66, 0x99,
	0x03, 0xD4, 0x74,
	0x02, 0x33, 0x61,
	0x01, 0xAD, 0x3B,
	0x00, 0x92, 0x4F,
	0x02, 0x5C, 0xD9,
	0x00, 0xEA, 0x1E,
	0x00, 0x92, 0x4F,
	0x00, 0x0B, 0xAD,
	0x02, 0x20, 0x5D,
	0x00, 0xD2, 0xB4,
	0x02, 0xC6, 0xC5,
	0x02, 0x7F, 0xB1,
	0x00, 0x04, 0x27,
	0x03, 0x76, 0x62,
	0x01, 0xAD, 0x3B,
	0x00, 0x92, 0x4F,
	0x02, 0x5C, 0xD9,
	0x00, 0xEA, 0x1E,
	0x01, 0x41, 0xEC,
	0x01, 0x99, 0xBB,
	0x04, 0x1D, 0xA2,
	0x03, 0x07, 0x96,
	0x01, 0x1E, 0x27,
	0x01, 0xF1, 0x8A,
	0x00, 0x03, 0x3B,
	0x03, 0xBC, 0x14,
	0x01, 0xF1, 0x8A,
	0x03, 0x27, 0xC9,
	0x01, 0x6A, 0xE8,
	0x00, 0x8C, 0x78,
	0x00, 0x49, 0xD9,
	0x01, 0xAA, 0x76,
	0x00, 0x02, 0xC5,
	0x03, 0xDE, 0xEC
};

static unsigned char ISDBT_exthex_5mhz[] = {
	0x02, 0x49, 0x3B,
	0x00, 0x2E, 0xB5,
	0x03, 0xD1, 0x72,
	0x03, 0x4A, 0xD1,
	0x01, 0xB6, 0xEC,
	0x00, 0x23, 0x08,
	0x01, 0xB1, 0x16,
	0x02, 0x78, 0x1D,
	0x03, 0x16, 0x27,
	0x03, 0x3F, 0x23,
	0x00, 0xFB, 0xA1,
	0x02, 0x31, 0xE0,
	0x03, 0x3F, 0x23,
	0x00, 0x1C, 0x06,
	0x03, 0x3A, 0x78,
	0x00, 0x19, 0xB0,
	0x01, 0xF9, 0xD9,
	0x04, 0x1F, 0x43,
	0x02, 0xD9, 0xF8,
	0x04, 0x8F, 0x53,
	0x01, 0x24, 0x9E,
	0x00, 0x17, 0x5B,
	0x04, 0x40, 0xB9,
	0x01, 0xA5, 0x68,
	0x03, 0x33, 0x76,
	0x00, 0x11, 0x84,
	0x00, 0xD8, 0x8B,
	0x03, 0x94, 0x0E,
	0x03, 0xE3, 0x14,
	0x01, 0x9F, 0x92,
	0x02, 0xD5, 0xD1,
	0x01, 0x18, 0xF0,
	0x01, 0x9F, 0x92,
	0x00, 0x0E, 0x03,
	0x01, 0x9D, 0x3C,
	0x00, 0x0C, 0xD8,
	0x03, 0x54, 0xEC,
	0x02, 0x0F, 0xA1,
	0x03, 0xC4, 0xFC,
	0x02, 0x47, 0xA9,
	0x03, 0xE3, 0x14,
	0x01, 0x9F, 0x92,
	0x02, 0xD5, 0xD1,
	0x01, 0x18, 0xF0,
	0x00, 0x92, 0x4F,
	0x00, 0x0B, 0xAD,
	0x02, 0x20, 0x5D,
	0x00, 0xD2, 0xB4,
	0x04, 0x27, 0x62,
	0x04, 0x35, 0x0C,
	0x01, 0xE3, 0xE0,
	0x00, 0xBB, 0x4B,
	0x04, 0x35, 0x0C,
	0x00, 0x09, 0x57,
	0x02, 0xA3, 0x7D,
	0x01, 0x98, 0x90,
	0x02, 0x38, 0x9E,
	0x02, 0xEF, 0xC1,
	0x00, 0xF3, 0x53,
	0x04, 0xA5, 0x1C
};

static unsigned char ISDBT_exthex_4mhz[] = {
	0x02, 0xDB, 0x8A,
	0x00, 0x3A, 0x62,
	0x01, 0x41, 0xCF,
	0x04, 0x1D, 0x85,
	0x03, 0x50, 0xA7,
	0x02, 0x83, 0xCA,
	0x02, 0x1D, 0x5B,
	0x01, 0xEA, 0x24,
	0x00, 0x57, 0xB1,
	0x01, 0xB6, 0xEC,
	0x02, 0x66, 0x8A,
	0x02, 0xBE, 0x59,
	0x01, 0xB6, 0xEC,
	0x00, 0x23, 0x08,
	0x01, 0xB1, 0x16,
	0x02, 0x78, 0x1D,
	0x03, 0xA4, 0x4F,
	0x02, 0xCF, 0x14,
	0x00, 0x0C, 0x76,
	0x01, 0x03, 0x27,
	0x03, 0xC5, 0xC5,
	0x00, 0x1D, 0x31,
	0x02, 0xF8, 0xE7,
	0x04, 0x66, 0xC2,
	0x04, 0x00, 0x54,
	0x03, 0x99, 0xE5,
	0x03, 0x66, 0xAE,
	0x0F, 0x51, 0x2 ,
	0x02, 0x83, 0xD9,
	0x03, 0x33, 0x76,
	0x03, 0x8B, 0x45,
	0x01, 0x5F, 0x2C,
	0x03, 0x33, 0x76,
	0x00, 0x11, 0x84,
	0x00, 0xD8, 0x8B,
	0x03, 0x94, 0x0E,
	0x04, 0x2A, 0x27,
	0x01, 0x67, 0x8A,
	0x02, 0x5E, 0x3B,
	0x00, 0x81, 0x94,
	0x02, 0x83, 0xD9,
	0x03, 0x33, 0x76,
	0x03, 0x8B, 0x45,
	0x01, 0x5F, 0x2C,
	0x04, 0x3A, 0xE2,
	0x02, 0x66, 0x99,
	0x03, 0xD4, 0x74,
	0x02, 0x33, 0x61,
	0x01, 0xAD, 0x3B,
	0x00, 0x92, 0x4F,
	0x02, 0x5C, 0xD9,
	0x00, 0xEA, 0x1E,
	0x00, 0x92, 0x4F,
	0x00, 0x0B, 0xAD,
	0x02, 0x20, 0x5D,
	0x00, 0xD2, 0xB4,
	0x02, 0xC6, 0xC5,
	0x02, 0x7F, 0xB1,
	0x00, 0x04, 0x27,
	0x03, 0x76, 0x62,

};

static unsigned char ISDBT_exthex_3mhz[] = {
	0x00, 0xAF, 0x62,
	0x03, 0x6D, 0xD9,
	0x00, 0x1D, 0x14,
	0x00, 0xCC, 0xB1,
	0x02, 0xDB, 0x8A,
	0x00, 0x3A, 0x62,
	0x01, 0x41, 0xCF,
	0x04, 0x1D, 0x85,
	0x02, 0x04, 0xEC,
	0x02, 0x49, 0x3B,
	0x00, 0x13, 0x62,
	0x03, 0xA8, 0x76,
	0x02, 0x49, 0x3B,
	0x00, 0x2E, 0xB5,
	0x03, 0xD1, 0x72,
	0x03, 0x4A, 0xD1,
	0x01, 0xBB, 0x14,
	0x00, 0x9E, 0xC5,
	0x00, 0x10, 0x9E,
	0x04, 0x79, 0x8A,
	0x00, 0x57, 0xB1,
	0x01, 0xB6, 0xEC,
	0x02, 0x66, 0x8A,
	0x02, 0xBE, 0x59,
	0x03, 0xC5, 0xC5,
	0x00, 0x1D, 0x31,
	0x02, 0xF8, 0xE7,
	0x04, 0x66, 0xC2,
	0x03, 0x5A, 0x76,
	0x01, 0x24, 0x9E,
	0x00, 0x09, 0xB1,
	0x01, 0xD4, 0x3B,
	0x01, 0x24, 0x9E,
	0x00, 0x17, 0x5B,
	0x04, 0x40, 0xB9,
	0x01, 0xA5, 0x68,
	0x00, 0xDD, 0x8A,
	0x00, 0x4F, 0x62,
	0x00, 0x08, 0x4F,
	0x02, 0x3C, 0xC5,
	0x03, 0x5A, 0x76,
	0x01, 0x24, 0x9E,
	0x00, 0x09, 0xB1,
	0x01, 0xD4, 0x3B,
	0x02, 0x83, 0xD9,
	0x03, 0x33, 0x76,
	0x03, 0x8B, 0x45,
	0x01, 0x5F, 0x2C,
	0x02, 0x3C, 0x4F,
	0x03, 0xE3, 0x14,
	0x00, 0x06, 0x76,
	0x02, 0xC8, 0x27,
	0x03, 0xE3, 0x14,
	0x01, 0x9F, 0x92,
	0x02, 0xD5, 0xD1,
	0x01, 0x18, 0xF0,
	0x00, 0x93, 0xB1,
	0x03, 0x54, 0xEC,
	0x00, 0x05, 0x8A,
	0x03, 0x0D, 0xD9

};

static unsigned char ISDBT_exthex_2mhz[] = {
	0x01, 0x07, 0x14,
	0x00, 0x74, 0xC5,
	0x02, 0x83, 0x9E,
	0x03, 0x8B, 0x0A,
	0x01, 0xF1, 0x4F,
	0x00, 0x57, 0x94,
	0x04, 0x3A, 0xB6,
	0x03, 0xD4, 0x47,
	0x00, 0xAF, 0x62,
	0x03, 0x6D, 0xD9,
	0x00, 0x1D, 0x14,
	0x00, 0xCC, 0xB1,
	0x03, 0x6D, 0xD9,
	0x00, 0x46, 0x10,
	0x03, 0x62, 0x2B,
	0x00, 0x40, 0x39,
	0x02, 0x98, 0x9E,
	0x00, 0xEE, 0x27,
	0x00, 0x18, 0xEC,
	0x02, 0x06, 0x4F,
	0x02, 0xDB, 0x8A,
	0x00, 0x3A, 0x62,
	0x01, 0x41, 0xCF,
	0x04, 0x1D, 0x85,
	0x03, 0x50, 0xA7,
	0x02, 0x83, 0xCA,
	0x02, 0x1D, 0x5B,
	0x01, 0xEA, 0x24,
	0x00, 0x57, 0xB1,
	0x01, 0xB6, 0xEC,
	0x02, 0x66, 0x8A,
	0x02, 0xBE, 0x59,
	0x01, 0xB6, 0xEC,
	0x00, 0x23, 0x08,
	0x01, 0xB1, 0x16,
	0x02, 0x78, 0x1D,
	0x03, 0xA4, 0x4F,
	0x02, 0xCF, 0x14,
	0x00, 0x0C, 0x76,
	0x01, 0x03, 0x27,
	0x00, 0x57, 0xB1,
	0x01, 0xB6, 0xEC,
	0x02, 0x66, 0x8A,
	0x02, 0xBE, 0x59,
	0x03, 0xC5, 0xC5,
	0x00, 0x1D, 0x31,
	0x02, 0xF8, 0xE7,
	0x04, 0x66, 0xC2,
	0x03, 0x5A, 0x76,
	0x01, 0x24, 0x9E,
	0x00, 0x09, 0xB1,
	0x01, 0xD4, 0x3B,
	0x01, 0x24, 0x9E,
	0x00, 0x17, 0x5B,
	0x04, 0x40, 0xB9,
	0x01, 0xA5, 0x68,
	0x00, 0xDD, 0x8A,
	0x00, 0x4F, 0x62,
	0x00, 0x08, 0x4F,
	0x02, 0x3C, 0xC5
};

static unsigned char ISDBT_exthex_1mhz[] = {
	0x02, 0x0E, 0x27,
	0x00, 0xE9, 0x8A,
	0x00, 0x57, 0x3B,
	0x02, 0x66, 0x14,
	0x03, 0xE2, 0x9E,
	0x00, 0xAF, 0x27,
	0x03, 0xC5, 0x6C,
	0x02, 0xF8, 0x8F,
	0x01, 0x5E, 0xC5,
	0x02, 0x2B, 0xB1,
	0x00, 0x3A, 0x27,
	0x01, 0x99, 0x62,
	0x02, 0x2B, 0xB1,
	0x00, 0x8C, 0x20,
	0x02, 0x14, 0x57,
	0x00, 0x80, 0x72,
	0x00, 0x81, 0x3B,
	0x01, 0xDC, 0x4F,
	0x00, 0x31, 0xD9,
	0x04, 0x0C, 0x9E,
	0x01, 0x07, 0x14,
	0x00, 0x74, 0xC5,
	0x02, 0x83, 0x9E,
	0x03, 0x8B, 0x0A,
	0x01, 0xF1, 0x4F,
	0x00, 0x57, 0x94,
	0x04, 0x3A, 0xB6,
	0x03, 0xD4, 0x47,
	0x00, 0xAF, 0x62,
	0x03, 0x6D, 0xD9,
	0x00, 0x1D, 0x14,
	0x00, 0xCC, 0xB1,
	0x03, 0x6D, 0xD9,
	0x00, 0x46, 0x10,
	0x03, 0x62, 0x2B,
	0x00, 0x40, 0x39,
	0x02, 0x98, 0x9E,
	0x00, 0xEE, 0x27,
	0x00, 0x18, 0xEC,
	0x02, 0x06, 0x4F,
	0x00, 0xAF, 0x62,
	0x03, 0x6D, 0xD9,
	0x00, 0x1D, 0x14,
	0x00, 0xCC, 0xB1,
	0x02, 0xDB, 0x8A,
	0x00, 0x3A, 0x62,
	0x01, 0x41, 0xCF,
	0x04, 0x1D, 0x85,
	0x02, 0x04, 0xEC,
	0x02, 0x49, 0x3B,
	0x00, 0x13, 0x62,
	0x03, 0xA8, 0x76,
	0x02, 0x49, 0x3B,
	0x00, 0x2E, 0xB5,
	0x03, 0xD1, 0x72,
	0x03, 0x4A, 0xD1,
	0x01, 0xBB, 0x14,
	0x00, 0x9E, 0xC5,
	0x00, 0x10, 0x9E,
	0x04, 0x79, 0x8A

};


static Dword DVBT_8mhz_datarate_bps[60] = {
	4976470 ,
	5529411 ,
	5854671 ,
	6032085 ,
	6635294 ,
	7372549 ,
	7806228 ,
	8042780 ,
	7464705 ,
	8294117 ,
	8782006 ,
	9048128 ,
	8294117 ,
	9215686 ,
	9757785 ,
	10053475,
	8708823 ,
	9676470 ,
	10245674,
	10556149,
	9952941 ,
	11058823,
	11709342,
	12064171,
	13270588,
	14745098,
	15612456,
	16085561,
	14929411,
	16588235,
	17564013,
	18096256,
	16588235,
	18431372,
	19515570,
	20106951,
	17417647,
	19352941,
	20491349,
	21112299,
	14929411,
	16588235,
	17564013,
	18096256,
	19905882,
	22117647,
	23418685,
	24128342,
	22394117,
	24882352,
	26346020,
	27144385,
	24882352,
	27647058,
	29273356,
	30160427,
	26126470,
	29029411,
	30737024,
	31668449
};


static unsigned long DVBT_7mhz_datarate_bps[60] = {
	4354411 ,
	4838235 ,
	5122837 ,
	5278074 ,
	5805882 ,
	6450980 ,
	6830449 ,
	7037433 ,
	6531617 ,
	7257352 ,
	7684256 ,
	7917112 ,
	7257352 ,
	8063725 ,
	8538062 ,
	8796791 ,
	7620220 ,
	8466911 ,
	8964965 ,
	9236631 ,
	8708823 ,
	9676470 ,
	10245674,
	10556149,
	11611764,
	12901960,
	13660899,
	14074866,
	13063235,
	14514705,
	15368512,
	15834224,
	14514705,
	16127450,
	17076124,
	17593582,
	15240441,
	16933823,
	17929930,
	18473262,
	13063235,
	14514705,
	15368512,
	15834224,
	17417647,
	19352941,
	20491349,
	21112299,
	19594852,
	21772058,
	23052768,
	23751336,
	21772058,
	24191176,
	25614186,
	26390374,
	22860661,
	25400735,
	26894896,
	27709893
};


static unsigned long DVBT_6mhz_datarate_bps[60] = {
	3732352 ,
	4147058 ,
	4391003 ,
	4524064 ,
	4976470 ,
	5529411 ,
	5854671 ,
	6032085 ,
	5598529 ,
	6220588 ,
	6586505 ,
	6786096 ,
	6220588 ,
	6911764 ,
	7318339 ,
	7540106 ,
	6531617 ,
	7257352 ,
	7684256 ,
	7917112 ,
	7464705 ,
	8294117 ,
	8782006 ,
	9048128 ,
	9952941 ,
	11058823,
	11709342,
	12064171,
	11197058,
	12441176,
	13173010,
	13572192,
	12441176,
	13823529,
	14636678,
	15080213,
	13063235,
	14514705,
	15368512,
	15834224,
	11197058,
	12441176,
	13173010,
	13572192,
	14929411,
	16588235,
	17564013,
	18096256,
	16795588,
	18661764,
	19759515,
	20358288,
	18661764,
	20735294,
	21955017,
	22620320,
	19594852,
	21772058,
	23052768,
	23751336
};


static unsigned long DVBT_5mhz_datarate_bps[60] = {
	3110294 ,
	3455882 ,
	3659169 ,
	3770053 ,
	4147058 ,
	4607843 ,
	4878892 ,
	5026737 ,
	4665441 ,
	5183823 ,
	5488754 ,
	5655080 ,
	5183823 ,
	5759803 ,
	6098615 ,
	6283422 ,
	5443014 ,
	6047794 ,
	6403546 ,
	6597593 ,
	6220588 ,
	6911764 ,
	7318339 ,
	7540106 ,
	8294117 ,
	9215686 ,
	9757785 ,
	10053475,
	9330882 ,
	10367647,
	10977508,
	11310160,
	10367647,
	11519607,
	12197231,
	12566844,
	10886029,
	12095588,
	12807093,
	13195187,
	9330882 ,
	10367647,
	10977508,
	11310160,
	12441176,
	13823529,
	14636678,
	15080213,
	13996323,
	15551470,
	16466262,
	16965240,
	15551470,
	17279411,
	18295847,
	18850267,
	16329044,
	18143382,
	19210640,
	19792780
};


static unsigned long DVBT_4mhz_datarate_bps[60] = {
	2488235 ,
	2764705 ,
	2927335 ,
	3016042 ,
	3317647 ,
	3686274 ,
	3903114 ,
	4021390 ,
	3732352 ,
	4147058 ,
	4391003 ,
	4524064 ,
	4147058 ,
	4607843 ,
	4878892 ,
	5026737 ,
	4354411 ,
	4838235 ,
	5122837 ,
	5278074 ,
	4976470 ,
	5529411 ,
	5854671 ,
	6032085 ,
	6635294 ,
	7372549 ,
	7806228 ,
	8042780 ,
	7464705 ,
	8294117 ,
	8782006 ,
	9048128 ,
	8294117 ,
	9215686 ,
	9757785 ,
	10053475,
	8708823 ,
	9676470 ,
	10245674,
	10556149,
	7464705 ,
	8294117 ,
	8782006 ,
	9048128 ,
	9952941 ,
	11058823,
	11709342,
	12064171,
	11197058,
	12441176,
	13173010,
	13572192,
	12441176,
	13823529,
	14636678,
	15080213,
	13063235,
	14514705,
	15368512,
	15834224
};


static unsigned long DVBT_3mhz_datarate_bps[60] = {
	1866176 ,
	2073529 ,
	2195501 ,
	2262032 ,
	2488235 ,
	2764705 ,
	2927335 ,
	3016042 ,
	2799264 ,
	3110294 ,
	3293252 ,
	3393048 ,
	3110294 ,
	3455882 ,
	3659169 ,
	3770053 ,
	3265808 ,
	3628676 ,
	3842128 ,
	3958556 ,
	3732352 ,
	4147058 ,
	4391003 ,
	4524064 ,
	4976470 ,
	5529411 ,
	5854671 ,
	6032085 ,
	5598529 ,
	6220588 ,
	6586505 ,
	6786096 ,
	6220588 ,
	6911764 ,
	7318339 ,
	7540106 ,
	6531617 ,
	7257352 ,
	7684256 ,
	7917112 ,
	5598529 ,
	6220588 ,
	6586505 ,
	6786096 ,
	7464705 ,
	8294117 ,
	8782006 ,
	9048128 ,
	8397794 ,
	9330882 ,
	9879757 ,
	10179144,
	9330882 ,
	10367647,
	10977508,
	11310160,
	9797426 ,
	10886029,
	11526384,
	11875668
};


static unsigned long DVBT_2mhz_datarate_bps[60] = {
	1244117 ,
	1382352 ,
	1463667 ,
	1508021 ,
	1658823 ,
	1843137 ,
	1951557 ,
	2010695 ,
	1866176 ,
	2073529 ,
	2195501 ,
	2262032 ,
	2073529 ,
	2303921 ,
	2439446 ,
	2513368 ,
	2177205 ,
	2419117 ,
	2561418 ,
	2639037 ,
	2488235 ,
	2764705 ,
	2927335 ,
	3016042 ,
	3317647 ,
	3686274 ,
	3903114 ,
	4021390 ,
	3732352 ,
	4147058 ,
	4391003 ,
	4524064 ,
	4147058 ,
	4607843 ,
	4878892 ,
	5026737 ,
	4354411 ,
	4838235 ,
	5122837 ,
	5278074 ,
	3732352 ,
	4147058 ,
	4391003 ,
	4524064 ,
	4976470 ,
	5529411 ,
	5854671 ,
	6032085 ,
	5598529 ,
	6220588 ,
	6586505 ,
	6786096 ,
	6220588 ,
	6911764 ,
	7318339 ,
	7540106 ,
	6531617 ,
	7257352 ,
	7684256 ,
	7917112 
};

static unsigned long DVBT_1mhz_datarate_bps[60] = {
    622058  ,
	691176  ,
	731833  ,
	754010  ,
	829411  ,
	921568  ,
	975778  ,
	1005347 ,
	933088  ,
	1036764 ,
	1097750 ,
	1131016 ,
	1036764 ,
	1151960 ,
	1219723 ,
	1256684 ,
	1088602 ,
	1209558 ,
	1280709 ,
	1319518 ,
	1244117 ,
	1382352 ,
	1463667 ,
	1508021 ,
	1658823 ,
	1843137 ,
	1951557 ,
	2010695 ,
	1866176 ,
	2073529 ,
	2195501 ,
	2262032 ,
	2073529 ,
	2303921 ,
	2439446 ,
	2513368 ,
	2177205 ,
	2419117 ,
	2561418 ,
	2639037 ,
	1866176 ,
	2073529 ,
	2195501 ,
	2262032 ,
	2488235 ,
	2764705 ,
	2927335 ,
	3016042 ,
	2799264 ,
	3110294 ,
	3293252 ,
	3393048 ,
	3110294 ,
	3455882 ,
	3659169 ,
	3770053 ,
	3265808 ,
	3628676 ,
	3842128 ,
	3958556 
};

static unsigned long ISDBT_8mhz_datarate_bps[60] = {
	4868222 ,
	5409136 ,
	5727320 ,
	5900876 ,
	6490963 ,
	7212181 ,
	7636427 ,
	7867834 ,
	7302334 ,
	8113704 ,
	8590981 ,
	8851314 ,
	8113704 ,
	9015227 ,
	9545534 ,
	9834793 ,
	8519389 ,
	9465988 ,
	10022811,
	10326533,
	9736445 ,
	10818272,
	11454641,
	11801752,
	12981927,
	14424363,
	15272855,
	15735669,
	14604668,
	16227409,
	17181962,
	17702628,
	16227409,
	18030454,
	19091069,
	19669587,
	17038779,
	18931977,
	20045623,
	20653066,
	14604668,
	16227409,
	17181962,
	17702628,
	19472891,
	21636545,
	22909283,
	23603504,
	21907002,
	24341114,
	25772944,
	26553942,
	24341114,
	27045682,
	28636604,
	29504380,
	25558169,
	28397966,
	30068435,
	30979599
};


static unsigned long ISDBT_7mhz_datarate_bps[60] = {
	4259694 ,
	4732994 ,
	5011405 ,
	5163266 ,
	5679593 ,
	6310659 ,
	6681874 ,
	6884355 ,
	6389542 ,
	7099491 ,
	7517108 ,
	7744899 ,
	7099491 ,
	7888324 ,
	8352343 ,
	8605444 ,
	7454466 ,
	8282740 ,
	8769960 ,
	9035716 ,
	8519389 ,
	9465988 ,
	10022811,
	10326533,
	11359186,
	12621318,
	13363748,
	13768711,
	12779084,
	14198983,
	15034217,
	15489799,
	14198983,
	15776648,
	16704686,
	17210888,
	14908932,
	16565480,
	17539920,
	18071433,
	12779084,
	14198983,
	15034217,
	15489799,
	17038779,
	18931977,
	20045623,
	20653066,
	19168627,
	21298474,
	22551326,
	23234699,
	21298474,
	23664972,
	25057029,
	25816333,
	22363398,
	24848220,
	26309880,
	27107149
};


static unsigned long ISDBT_6mhz_datarate_bps[60] = {
	3651167 ,
	4056852 ,
	4295490 ,
	4425657 ,
	4868222 ,
	5409136 ,
	5727320 ,
	5900876 ,
	5476750 ,
	6085278 ,
	6443236 ,
	6638485 ,
	6085278 ,
	6761420 ,
	7159151 ,
	7376095 ,
	6389542 ,
	7099491 ,
	7517108 ,
	7744899 ,
	7302334 ,
	8113704 ,
	8590981 ,
	8851314 ,
	9736445 ,
	10818272,
	11454641,
	11801752,
	10953501,
	12170557,
	12886472,
	13276971,
	12170557,
	13522841,
	14318302,
	14752190,
	12779084,
	14198983,
	15034217,
	15489799,
	10953501,
	12170557,
	12886472,
	13276971,
	14604668,
	16227409,
	17181962,
	17702628,
	16430252,
	18255835,
	19329708,
	19915457,
	18255835,
	20284261,
	21477453,
	22128285,
	19168627,
	21298474,
	22551326,
	23234699
};


static unsigned long ISDBT_5mhz_datarate_bps[60] = {
	3042639 ,
	3380710 ,
	3579575 ,
	3688047 ,
	4056852 ,
	4507613 ,
	4772767 ,
	4917396 ,
	4563958 ,
	5071065 ,
	5369363 ,
	5532071 ,
	5071065 ,
	5634517 ,
	5965959 ,
	6146746 ,
	5324618 ,
	5916243 ,
	6264257 ,
	6454083 ,
	6085278 ,
	6761420 ,
	7159151 ,
	7376095 ,
	8113704 ,
	9015227 ,
	9545534 ,
	9834793 ,
	9127917 ,
	10142130,
	10738726,
	11064142,
	10142130,
	11269034,
	11931918,
	12293492,
	10649237,
	11832486,
	12528514,
	12908166,
	9127917 ,
	10142130,
	10738726,
	11064142,
	12170557,
	13522841,
	14318302,
	14752190,
	13691876,
	15213196,
	16108090,
	16596214,
	15213196,
	16903551,
	17897878,
	18440238,
	15973856,
	17748729,
	18792772,
	19362249
};


static unsigned long ISDBT_4mhz_datarate_bps[60] = {
	2434111 ,
	2704568 ,
	2863660 ,
	2950438 ,
	3245481 ,
	3606090 ,
	3818213 ,
	3933917 ,
	3651167 ,
	4056852 ,
	4295490 ,
	4425657 ,
	4056852 ,
	4507613 ,
	4772767 ,
	4917396 ,
	4259694 ,
	4732994 ,
	5011405 ,
	5163266 ,
	4868222 ,
	5409136 ,
	5727320 ,
	5900876 ,
	6490963 ,
	7212181 ,
	7636427 ,
	7867834 ,
	7302334 ,
	8113704 ,
	8590981 ,
	8851314 ,
	8113704 ,
	9015227 ,
	9545534 ,
	9834793 ,
	8519389 ,
	9465988 ,
	10022811,
	10326533,
	7302334 ,
	8113704 ,
	8590981 ,
	8851314 ,
	9736445 ,
	10818272,
	11454641,
	11801752,
	10953501,
	12170557,
	12886472,
	13276971,
	12170557,
	13522841,
	14318302,
	14752190,
	12779084,
	14198983,
	15034217,
	15489799
};


static unsigned long ISDBT_3mhz_datarate_bps[60] = {
	1825583 ,
	2028426 ,
	2147745 ,
	2212828 ,
	2434111 ,
	2704568 ,
	2863660 ,
	2950438 ,
	2738375 ,
	3042639 ,
	3221618 ,
	3319242 ,
	3042639 ,
	3380710 ,
	3579575 ,
	3688047 ,
	3194771 ,
	3549745 ,
	3758554 ,
	3872449 ,
	3651167 ,
	4056852 ,
	4295490 ,
	4425657 ,
	4868222 ,
	5409136 ,
	5727320 ,
	5900876 ,
	5476750 ,
	6085278 ,
	6443236 ,
	6638485 ,
	6085278 ,
	6761420 ,
	7159151 ,
	7376095 ,
	6389542 ,
	7099491 ,
	7517108 ,
	7744899 ,
	5476750 ,
	6085278 ,
	6443236 ,
	6638485 ,
	7302334 ,
	8113704 ,
	8590981 ,
	8851314 ,
	8215126 ,
	9127917 ,
	9664854 ,
	9957728 ,
	9127917 ,
	10142130,
	10738726,
	11064142,
	9584313 ,
	10649237,
	11275663,
	11617349
};


static unsigned long ISDBT_2mhz_datarate_bps[60] = {
	1217055 ,
	1352284 ,
	1431830 ,
	1475219 ,
	1622740 ,
	1803045 ,
	1909106 ,
	1966958 ,
	1825583 ,
	2028426 ,
	2147745 ,
	2212828 ,
	2028426 ,
	2253806 ,
	2386383 ,
	2458698 ,
	2129847 ,
	2366497 ,
	2505702 ,
	2581633 ,
	2434111 ,
	2704568 ,
	2863660 ,
	2950438 ,
	3245481 ,
	3606090 ,
	3818213 ,
	3933917 ,
	3651167 ,
	4056852 ,
	4295490 ,
	4425657 ,
	4056852 ,
	4507613 ,
	4772767 ,
	4917396 ,
	4259694 ,
	4732994 ,
	5011405 ,
	5163266 ,
	3651167 ,
	4056852 ,
	4295490 ,
	4425657 ,
	4868222 ,
	5409136 ,
	5727320 ,
	5900876 ,
	5476750 ,
	6085278 ,
	6443236 ,
	6638485 ,
	6085278 ,
	6761420 ,
	7159151 ,
	7376095 ,
	6389542 ,
	7099491 ,
	7517108 ,
	7744899 
};

static unsigned long ISDBT_1mhz_datarate_bps[60] = {
	608527  ,
	676142  ,
	715915  ,
	737609  ,
	811370  ,
	901522  ,
	954553  ,
	983479  ,
	912791  ,
	1014213 ,
	1073872 ,
	1106414 ,
	1014213 ,
	1126903 ,
	1193191 ,
	1229349 ,
	1064923 ,
	1183248 ,
	1252851 ,
	1290816 ,
	1217055 ,
	1352284 ,
	1431830 ,
	1475219 ,
	1622740 ,
	1803045 ,
	1909106 ,
	1966958 ,
	1825583 ,
	2028426 ,
	2147745 ,
	2212828 ,
	2028426 ,
	2253806 ,
	2386383 ,
	2458698 ,
	2129847 ,
	2366497 ,
	2505702 ,
	2581633 ,
	1825583 ,
	2028426 ,
	2147745 ,
	2212828 ,
	2434111 ,
	2704568 ,
	2863660 ,
	2950438 ,
	2738375 ,
	3042639 ,
	3221618 ,
	3319242 ,
	3042639 ,
	3380710 ,
	3579575 ,
	3688047 ,
	3194771 ,
	3549745 ,
	3758554 ,
	3872449 
};

#endif
